<?php

namespace Tests\Services\LogisticYDService;

use App\Services\LogisticYDService;
use Tests\TestCase;
use App\LogisticYD;
use App\Traits\TestMockSubServices;

class FormatTest extends TestCase
{
    use TestMockSubServices;

    /** @var LogisticYDService $service */
    public $service;
    private $data;
    private $amount = 2;

    function setUp(): void
    {
        parent::setUp();
        $this->service = app('LogisticYDService');
    }

    public function testReturned()
    {
        $this->assertTrue(true);
    }

    function tearDown(): void
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function format_test()
    {
        $this->service->registerApi(['4314543143889']);
        $result = $this->service->format($this->service->query('4314543143889'));
        $this->assertNotEmpty($result);

    }
}
